# Interface TapLanguage

public interface TapLanguage
Describes a query language as declared by a TAP capabilities record.

Since:
  29 Nov 2011
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Returns a textual description of this language.
`Map<Ivoid, TapLanguageFeature[]>`
`getFeaturesMap()`
Returns a map of language features for this language.
`String`
`getName()`
Returns the language name.
`Ivoid[]`
`getVersionIds()`
Returns version IVO-IDs.
`String[]`
`getVersions()`
Returns version strings.

## Method Details

### getName

String getName()
Returns the language name.

Returns:
  name with no version suffix

### getVersions

String[] getVersions()
Returns version strings.

Returns:
  array of supported version names, same length as `getVersionIds` array

### getVersionIds

Ivoid[] getVersionIds()
Returns version IVO-IDs.

Returns:
  array of IVO-IDs associated with supported versions, same length as `getVersions` array

### getDescription

String getDescription()
Returns a textual description of this language.

Returns:
  description string

### getFeaturesMap

Map<Ivoid, TapLanguageFeature[]> getFeaturesMap()
Returns a map of language features for this language. Map keys are the language feature "type" IVOIDs, and the values are arrays of features with that type.

Returns:
  type->feature list map